Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.assertion
Interface ElementAssertion

All Known Implementing Classes:
  ElementConfidentialityAssertion, ElementIntegrityAssertion

public interface ElementAssertion

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `BODY`
`static java.lang.String` | `HEADER`

Method Summary
`java.lang.String` | `getElementLocalName()` Returns the LocalName of the Elements covered by this assertion.
`javax.xml.namespace.QName` | `getElementName()` Returns the name of the Elements covered by this assertion.
`java.lang.String` | `getElementNamespace()` Returns the namespace of the elements covered by this assertion.
`java.lang.String` | `getRestriction()` Get the restriction for the current assertion (i.e.
`boolean` | `satisfies(weblogic.xml.security.specs.ElementIdentifier element)` Returns true if assertion covers the elements identified by the ElementIdentifier.

Field Detail

### BODY

    public static final java.lang.String BODY

### HEADER

    public static final java.lang.String HEADER

Method Detail

### getRestriction

    public java.lang.String getRestriction()

  Get the restriction for the current assertion (i.e. "body", "header", etc)

  Returns:

### getElementName

    public javax.xml.namespace.QName getElementName()

  Returns the name of the Elements covered by this assertion.

  Returns:

### getElementLocalName

    public java.lang.String getElementLocalName()

  Returns the LocalName of the Elements covered by this assertion.

  Returns:

### getElementNamespace

    public java.lang.String getElementNamespace()

  Returns the namespace of the elements covered by this assertion.

  Returns:

### satisfies

    public boolean satisfies(weblogic.xml.security.specs.ElementIdentifier element)

  Returns true if assertion covers the elements identified by the ElementIdentifier. ElementIdentifiers are used in Security specs to identify document elements that require security processing.

  Parameters:
    `element` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD